<template>
  <header :class="$style.pageTitle">
    <GridContainer>
      <h2>
        <slot></slot>
      </h2>
    </GridContainer>
  </header>
</template>

<script lang="ts">
import Vue from "vue";
// @ts-ignore
import GridContainer from "@/components/grid/GridContainer";
export default Vue.extend({
  name: "ThePageTitle",
  components: {
    GridContainer
  }
});
</script>

<style module lang="scss">
.pageTitle {
  padding: 2.5rem 0;
}

// resposnsive
@media screen and (max-width: $device-size--desktop-laptop) {
  .pageTitle {
    padding-top: 1rem;
    padding-bottom: 1rem;
  }
}
@media screen and (max-width: $device-size--tablet) {
  .pageTitle {
    padding-top: 1rem;
    padding-bottom: 0;
  }
}
</style>
